Bug 193496 - Inconsistent trailing space in "geli init" output
Summary: Inconsistent trailing space in "geli init" output
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Some People
Assignee: FreeBSD bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-09 16:00 UTC by Fabian Keil
Modified: 2015-06-24 12:52 UTC (History)
2 users (show)

See Also:


Attachments
geli: Remove trailing space in message requesting reentry of new passphrase (64 bytes, patch)
2014-09-09 16:00 UTC, Fabian Keil
no flags Details | Diff
Patch to remove trailing space in message requesting reentry of new passphrase (856 bytes, patch)
2014-10-17 11:14 UTC, Fabian Keil
no flags Details | Diff
geli: Consistently use a trailing space in passphrase promts (894 bytes, patch)
2014-10-17 11:45 UTC, Fabian Keil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2014-09-09 16:00:00 UTC
Created attachment 147130 [details]
geli: Remove trailing space in message requesting reentry of  new passphrase
Comment 1 Gavin Atkinson freebsd_committer freebsd_triage 2014-10-16 22:38:49 UTC
Hi,

It doesn't look lie your patch was attached to the PR successfully - could you resubmit it please?

Thanks,

Gavin
Comment 2 Fabian Keil 2014-10-17 11:14:49 UTC
Created attachment 148389 [details]
Patch to remove trailing space in message requesting reentry of new passphrase
Comment 3 Fabian Keil 2014-10-17 11:16:42 UTC
The second attempt seems to have been successful. Thanks.
Comment 4 Fabian Keil 2014-10-17 11:32:36 UTC
Comment on attachment 148389 [details]
Patch to remove trailing space in message requesting reentry of new passphrase

Please disregard this patch, I'll provide a better one in a couple of minutes.
Comment 5 Fabian Keil 2014-10-17 11:45:43 UTC
Created attachment 148390 [details]
geli: Consistently use a trailing space in passphrase promts

This patch adds trailing spaces to the two prompts that currently don't have one.

All the other geli passphrase prompts seem to use a trailing space
and the example in geli(8) were the password is shown has a
space, too.
Comment 6 commit-hook freebsd_committer 2015-06-11 00:25:22 UTC
A commit references this bug:

Author: brueffer
Date: Thu Jun 11 00:24:34 UTC 2015
New revision: 284250
URL: https://svnweb.freebsd.org/changeset/base/284250

Log:
  Consistently use trailing whitespace in passphrase prompts.

  PR:		193496
  Submitted by:	Fabian Keil
  MFC after:	1 week

Changes:
  head/sbin/geom/class/eli/geom_eli.c
Comment 7 Christian Brueffer freebsd_committer 2015-06-11 00:26:39 UTC
Fixed in HEAD, merge to stable branches pending.  Thanks!
Comment 8 commit-hook freebsd_committer 2015-06-24 12:22:16 UTC
A commit references this bug:

Author: brueffer
Date: Wed Jun 24 12:21:26 UTC 2015
New revision: 284752
URL: https://svnweb.freebsd.org/changeset/base/284752

Log:
  MFH: r284250

  Consistently use trailing whitespace in passphrase prompts.

  PR:		193496
  Submitted by:	Fabian Keil

Changes:
_U  stable/10/
  stable/10/sbin/geom/class/eli/geom_eli.c
Comment 9 commit-hook freebsd_committer 2015-06-24 12:49:20 UTC
A commit references this bug:

Author: brueffer
Date: Wed Jun 24 12:48:56 UTC 2015
New revision: 284753
URL: https://svnweb.freebsd.org/changeset/base/284753

Log:
  MFH: r284250

  Consistently use trailing whitespace in passphrase prompts.

  PR:        193496
  Submitted by:    Fabian Keil

Changes:
_U  stable/9/sbin/geom/class/eli/
  stable/9/sbin/geom/class/eli/geom_eli.c